Bug 8443 - drivers/md/dm.h is required for building truecrypt module but it's absent in kernel-headers-modules-*
: drivers/md/dm.h is required for building truecrypt module but it's absent in ...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-headers-modules-std26-up)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://lists.altlinux.org/pipermail/d...
:
:
:
  Show dependency tree
 
Reported: 2005-11-09 12:29 by
Modified: 2006-05-04 11:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-09 12:29:16
При сборке модуля truecrypt (http://www.truecrypt.org) требуется dm.h,    
отсутствующий в kernel-headers-*    

Установлено:    
ядро 2.6.12-std26-up-alt3    
kernel-headers-std26-up-2.6.12-alt3    
kernel-headers-modules-std26-up-2.6.12-alt3    

На других ядрах не пробовал. Возможно ли добавить drivers/md/dm.h в пакет 
kernel-headers-modules-* ? 
Steps to Reproduce:
1. Загрузить    
http://www.truecrypt.org/downloads/truecrypt-4.0-source-code.tar.gz     
2. Попытаться собрать 
Actual Results:  
Building kernel module... 
 /home/yura/downloads/truecrypt-4.0/Linux/Kernel/Dm-target.c:16:16:  
dm.h: No such file or directory
------- Comment #1 From 2005-12-10 16:24:57 -------
Fixed in kernel-headers-modules-std26-up-2.6.14-alt2.